Skip to main content
Network Management/Network Resources/Distributed Port Group Related Interfaces
GETDistributed Port Group Related InterfacesSince 4.2.0SynchronousAuth Required

QueryPortGroup

QueryPortGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • vSwitchUuidStringRequired

      The virtual Switch UUID.

    • vlanIdIntegerRequired

      The VLAN number.

    • vlanRangesStringRequired

      The VLAN range.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The port group type.

    • zoneUuidStringRequired

      The Data Center UUID.

    • l2NetworkUuidStringRequired

      The port group Distributed Switch UUID.

    • stateStringRequired

      The status.

    • dnsDomainStringRequired

      The DNS domain.

    • systemBooleanRequired

      Whether it is used for system VMs.

    • categoryStringRequired

      The network type. This parameter must be used with the system tag. When system is true, you can set it to Public, Private, or System.

    • ipVersionIntegerRequired

      The IP version.

    • enableIPAMBooleanRequired

      Whether IP address management is enabled.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      No description provided.

    • vlanModePortGroupVlanModeRequired

      See vlanMode.

      • ACCESSPortGroupVlanModeRequired

        访问。

      • TRUNKPortGroupVlanModeRequired

        No description provided.

      • PVLANPortGroupVlanModeRequired

        No description provided.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        The start IP address.

      • endIpStringRequired

        The end IP address.

      • netmaskStringRequired

        The netmask.

      • prefixLenStringRequired

        The prefix length.

      • gatewayStringRequired

        The gateway.

      • networkCidrStringRequired

        The network CIDR.

      • ipVersionIntegerRequired

        The IP version.

      • addressModeStringRequired

        The IPv6 address allocation mode.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • ipRangeTypeIpRangeTypeRequired

        See ipRangeType.

        • NormalIpRangeTypeRequired

          Normal address range.

        • AddressPoolIpRangeTypeRequired

          Address pool range.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider module UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The Distributed Port Group UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/l3-networks/port-group

/zstack/v1/l3-networks/port-group

Operation ID

QueryPortGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/port-group' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "vSwitchUuid": "5343e94b3aa93086b81c1b33c335b9ad", "vlanMode": "ACCESS", "vlanId": 100, "uuid": "01a9693135323cf1acb3049e8ddf50b2", "name": "port-group-1", "description": "Test", "type": "portGroup", "zoneUuid": "36712d24b27b327aae544095c768366b", "l2NetworkUuid": "49012f786210301697167b3771a65e8c", "state": "Enabled", "system": false, "category": "Private", "enableIPAM": false } ] }

Change History

This API has no change history records yet.

View all change history